%define upstream_name    Net-SMTP-TLS-ButMaintained
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Summary:    An SMTP client supporting TLS and AUTH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::SSL) >= 1.760.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::Cmd)
BuildRequires: perl(Net::SSLeay)
BuildArch:  noarch

%description
*Net::SMTP::TLS::ButMaintained* is forked from the Net::SMTP::TLS manpage.
blame 'Evan Carroll' for the idea. :)

*Net::SMTP::TLS::ButMaintained* is a TLS and AUTH capable SMTP client which
offers an interface that users will find familiar from the Net::SMTP
manpage. *Net::SMTP::TLS::ButMaintained* implements a subset of the methods
provided by that module, but certainly not (yet) a complete mirror image of
that API.

The methods supported by *Net::SMTP::TLS::ButMaintained* are used in the
above example. Though self explanatory for the most part, please see the
perldoc for the Net::SMTP manpage if you are unclear.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.240.0-8.mga8
+ Revision: 1496043
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.240.0-7.mga7
+ Revision: 1270040
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-6.mga6
+ Revision: 1031324
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.240.0-5.mga6
+ Revision: 939011
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 739032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 685722
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 525557
- Mageia 4 Mass Rebuild

* Fri May 31 2013 guillomovitch <guillomovitch> 0.240.0-1.mga4
+ Revision: 433658
- new version

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 370866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 guillomovitch <guillomovitch> 0.210.0-1.mga3
+ Revision: 338579
- new version

* Wed Jul 04 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 267435
- update to 0.20

* Tue Jun 26 2012 guillomovitch <guillomovitch> 0.190.0-1.mga3
+ Revision: 263849
- new version

* Wed Jan 18 2012 guillomovitch <guillomovitch> 0.180.0-1.mga2
+ Revision: 197851
- imported package perl-Net-SMTP-TLS-ButMaintained


* Wed Jan 18 2012 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
